---
title: List supported Markdown conversion formats
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api)

[AI](https://developers.cloudflare.com/api/resources/ai)

[To Markdown](https://developers.cloudflare.com/api/resources/ai/subresources/to_markdown)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List supported Markdown conversion formats

GET/accounts/{account\_id}/ai/tomarkdown/supported

Lists the file extensions and MIME types accepted by Workers AI’s Markdown conversion endpoint. Use this list to check whether a file can be converted before uploading it.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers AI Write``Workers AI Read`

##### P ath ParametersExpand Collapse

account\_id: string

Cloudflare account ID used for this AI model request.

[Link to this property](<#(resource)%20ai.to_markdown%20%3E%20(method)%20supported%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

result: array of object {extension, mimeType }

</summary>

extension: string

<a href="#(resource)%20ai.to_markdown%20%3E%20(model)%20to_markdown_supported_response%20%3E%20(schema)%20%3E%20(property)%20extension">Link to this property</a>

mimeType: string

<a href="#(resource)%20ai.to_markdown%20%3E%20(model)%20to_markdown_supported_response%20%3E%20(schema)%20%3E%20(property)%20mimeType">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai.to_markdown%20%3E%20(method)%20supported%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

success: boolean

[Link to this property](<#(resource)%20ai.to_markdown%20%3E%20(method)%20supported%20%3E%20(network%20schema)%20%3E%20(property)%20success>)

### List supported Markdown conversion formats

HTTP

HTTPTypeScriptPythonGoTerraform

```
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/tomarkdown/supported \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
```

200 example

```
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}
```